Bug 1596266 - [RBAC] - Groups created by tenant admin are not visible to tenant admin
Summary: [RBAC] - Groups created by tenant admin are not visible to tenant admin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: Antonin Pagac
URL:
Whiteboard: rbac
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 13:44 UTC by Pavol Kotvan
Modified: 2019-02-07 23:03 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:25 UTC

Comment 5 CFME Bot 2018-08-03 17:11:38 UTC
New commits detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/4d996af2350e2513cb57870f0610abd12e799b53
commit 4d996af2350e2513cb57870f0610abd12e799b53
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Jul 26 15:26:40 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Jul 26 15:26:40 2018 -0400

    Enable identification of `tenant_admin` role based on product feature `rbac_tenant`

    https://bugzilla.redhat.com/show_bug.cgi?id=1596639
    https://bugzilla.redhat.com/show_bug.cgi?id=1596266

 app/models/miq_product_feature.rb | 2 +
 app/models/miq_user_role.rb | 4 +
 2 files changed, 6 insertions(+)


https://github.com/ManageIQ/manageiq/commit/2f61692f134cdb790d99964a163e9426c0168929
commit 2f61692f134cdb790d99964a163e9426c0168929
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Jul 26 15:28:06 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Jul 26 15:28:06 2018 -0400

    Specs for testing group visibility for tenant admins

    https://bugzilla.redhat.com/show_bug.cgi?id=1596639
    https://bugzilla.redhat.com/show_bug.cgi?id=1596266

 spec/lib/rbac/filterer_spec.rb | 41 +-
 spec/models/miq_user_role_spec.rb | 15 +
 2 files changed, 47 insertions(+), 9 deletions(-)


https://github.com/ManageIQ/manageiq/commit/89347595eda522037795fd918f76521faff84ef4
commit 89347595eda522037795fd918f76521faff84ef4
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Jul 26 15:29:36 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Jul 26 15:29:36 2018 -0400

    Allow tenant admins to see all groups within the scope of their tenant

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1596639
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1596266

 lib/rbac/filterer.rb | 7 +-
 1 file changed, 4 insertions(+), 3 deletions(-)

Comment 6 Antonin Pagac 2018-10-12 12:19:20 UTC
Verified with 5.10.0.19.

Comment 7 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.